import iris
import rpy2.robjects.packages
import rpy2.robjects as robjects
from rpy2.robjects.numpy2ri import numpy2ri
import timeit

base = rpy2.robjects.packages.importr('base')
s2dvR = rpy2.robjects.packages.importr('s2dverification')

filename = '/esnas/exp/CMIP5/historical/ecearth/cmip5-historical_i0p1/monthly_mean/tas/tas_19601101.nc'


cube = iris.load(filename)

test = s2dvR.Mean1Dim(numpy2ri(cube[0].data), posdim = 2)

def mean_func():
    mean_var = []
    for yx_slice in cube[0].slices_over('latitude'):
        mean_var.append(s2dvR.Mean1Dim(numpy2ri(yx_slice.data), posdim = 2))
 
    
timeit.timeit(mean_func, number = 1)